# Beamer - A LaTeX class for producing presentations

## Overview

The `beamer` class is focussed on producing (on-screen) presentations, along
with support material such as handouts and speaker notes. Content is created
in a `frame` environment, each of which can be divided up into a number of
slides (actual output pages). A simple 'action' notation is used to specify
which material appears on each slide within a frame. The class supports a
range of environments to enable complex slide relationships to be constructed.

The appearance of slides is controlled by a template system. Many of the
elements of slides can be adjusted by setting simple key-based values in
the preamble. More complex changes can be implemented by altering specific,
targeted definitions without needing to re-write entire blocks of code. This
allows a variety of visual appearances to be selected for the same content
source.

## License

The `beamer` class is made available under the LaTeX Project Public License
(LPPL) and the GNU Public License (GPL). See the information in
[LICENSE](LICENSE.md) for information on licensing.
